import { GraphQLField, GraphQLSchema } from "graphql";
/**
 * Getting a type of nested field inside graphQL schema using a path to this field
 *
 * @param schema - graphQL schema
 * @param currentField - field of graphQL schema
 * @param currentPath - path to nested field
 *
 * @returns - string type of nested field got by path
 */
export declare function getGraphQLStringTypeByPath<TSource, TContext>(schema: GraphQLSchema, currentField: GraphQLField<TSource, TContext>, currentPath: string[]): string;
